/*
 * Rahmenwerk-Plug-in "Anlagenstatus"
 * Copyright (C) 2010 BitCtrl Systems GmbH
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weissenfelser Strasse 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.buv.plugin.anlagenstatus.parts;

import org.eclipse.gef.NodeEditPart;

/**
 * Ger&auml;t-EditPart, der im Anlagenstatus-View verwendet wird.
 * 
 * @author BitCtrl Systems GmbH, Steffen Gieseler
 * @version $Id: AnlagenStatusGeraetEditPart.java 29142 2011-04-13 08:55:34Z gieseler $
 */
public class AnlagenStatusGeraetEditPart extends GeraetEditPart implements
		NodeEditPart {

	/**
	 * Konstruktor.
	 */
	AnlagenStatusGeraetEditPart() {
		super();
		setInView(true);
	}

	/** {@inheritDoc} */
	@Override
	public void activate() {
		super.activate();
		geheOnline();
	}

	/** {@inheritDoc} */
	@Override
	public void deactivate() {
		super.deactivate();
		geheOffline();
	}
}
